Method: projects.locations.menus.entities.batchGet

Batch gets entities for a menu.

HTTP request

GET https://foodorderingaiagent.googleapis.com/v1beta/{parent=projects/*/locations/*/menus/*}/entities:batchGet

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The name of the menu to retrieve entities from. Format: projects/{project}/locations/{location}/menus/{menu}

Query parameters

Parameters
itemIds[]

string

Optional. The IDs of the items to retrieve.

modifierIds[]

string

Optional. The IDs of the modifier to retrieve.

modifierGroupIds[]

string

Optional. The IDs of the modifier groups to retrieve.

categoryIds[]

string

Optional. The IDs of the categories to retrieve.

Request body

The request body must be empty.

Response body

Response message for MenuService.BatchGetMenuEntities.

If successful, the response body contains data with the following structure:

JSON representation
{
  "items": [
    {
      object (Item)
    }
  ],
  "modifiers": [
    {
      object (Modifier)
    }
  ],
  "modifierGroups": [
    {
      object (ModifierGroup)
    }
  ],
  "categories": [
    {
      object (MenuCategory)
    }
  ]
}
Fields
items[]

object (Item)

The items requested.

modifiers[]

object (Modifier)

The modifiers requested.

modifierGroups[]

object (ModifierGroup)

The modifier groups requested.

categories[]

object (MenuCategory)

The categories requested.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.